libvisio::XMLErrorWatcher Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::XMLErrorWatcher Class Reference

`#include <libvisio_xml.h>`

## Public Member Functions
| XMLErrorWatcher ()
bool | isError () const
void | setError ()

## Private Member Functions
| XMLErrorWatcher (const XMLErrorWatcher &)
XMLErrorWatcher & | operator= (const XMLErrorWatcher &)

## Private Attributes
bool | m_error

## Constructor & Destructor Documentation

## § XMLErrorWatcher() [1/2]

libvisio::XMLErrorWatcher::XMLErrorWatcher | ( | const XMLErrorWatcher & |  | ) |
| private

## § XMLErrorWatcher() [2/2]

libvisio::XMLErrorWatcher::XMLErrorWatcher | ( |  | ) |

## Member Function Documentation

## § isError()

bool libvisio::XMLErrorWatcher::isError | ( |  | ) | const

Referenced by libvisio::VSDXMetaData::parse(), libvisio::VSDXParser::processXmlDocument(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXMLParserBase::readArcTo(), libvisio::VSDXParser::readCharacter(), libvisio::VSDXMLParserBase::readCharIX(), libvisio::VSDXMLParserBase::readColours(), libvisio::VSDXMLParserBase::readEllipse(), libvisio::VSDXMLParserBase::readEllipticalArcTo(), libvisio::VDXParser::readFillAndShadow(), libvisio::VDXParser::readFonts(), libvisio::VSDXParser::readFonts(), libvisio::VDXParser::readForeignInfo(), libvisio::VSDXMLParserBase::readGeometry(), libvisio::VSDXMLParserBase::readInfiniteLine(), libvisio::VSDXParser::readLayer(), libvisio::VSDXMLParserBase::readLayerIX(), libvisio::VDXParser::readLayerMem(), libvisio::VDXParser::readLine(), libvisio::VSDXMLParserBase::readLineTo(), libvisio::VDXParser::readMisc(), libvisio::VSDXMLParserBase::readMoveTo(), libvisio::VSDXMLParserBase::readNURBSTo(), libvisio::VDXParser::readPageProps(), libvisio::VSDXParser::readPageSheetProperties(), libvisio::VSDXParser::readParagraph(), libvisio::VSDXMLParserBase::readParaIX(), libvisio::VSDXMLParserBase::readPolylineTo(), libvisio::VSDXMLParserBase::readRelCubBezTo(), libvisio::VSDXMLParserBase::readRelEllipticalArcTo(), libvisio::VSDXMLParserBase::readRelLineTo(), libvisio::VSDXMLParserBase::readRelMoveTo(), libvisio::VSDXMLParserBase::readRelQuadBezTo(), libvisio::VSDXParser::readShapeProperties(), libvisio::VSDXMLParserBase::readSplineKnot(), libvisio::VSDXMLParserBase::readSplineStart(), libvisio::VSDXParser::readStyleProperties(), libvisio::VDXParser::readTab(), libvisio::VSDXParser::readTabRow(), libvisio::VDXParser::readTabs(), libvisio::VSDXParser::readTabs(), libvisio::VSDXMLParserBase::readText(), libvisio::VDXParser::readTextBlock(), libvisio::VDXParser::readTxtXForm(), libvisio::VDXParser::readXForm1D(), and libvisio::VDXParser::readXFormData().

## § operator=()

XMLErrorWatcher& libvisio::XMLErrorWatcher::operator= | ( | const XMLErrorWatcher & |  | ) |
| private

## § setError()

void libvisio::XMLErrorWatcher::setError | ( |  | ) |

## Member Data Documentation

## § m_error

bool libvisio::XMLErrorWatcher::m_error
| private

Referenced by isError(), and setError().

The documentation for this class was generated from the following files:

- libvisio_xml.h
- libvisio_xml.cpp